Subject: Re: [PATCH 07/16] git-read-tree: take --submodules option

From: Jan Hudec <[email-masked]>
Date: Mon, 21 May 2007 22:02:35 +0200

On Mon, May 21, 2007 at 20:05:06 +0200, Sven Verdoolaege wrote:
> On Mon, May 21, 2007 at 06:59:38PM +0200, Jan Hudec wrote:
> > We could store the GIT_DIR of submodule within the GIT_DIR of the
> > superproject instead of the submodule directory itself. So instead of:
> >  /
> >  /.git
> >  /subdir
> >  /subdir/.git
> > 
> > There would be:
> >  /
> >  /.git
> >  /subdir
> >  /.git/submodules/submodule-name.git
> 
> I have this already, except that I use /.git/submodules/submodule-name/.git
> because I was too lazy to figure out how to get clone to use the above
> without using --bare, because --bare disables separate-remotes.
> 
> Is there any good reason, btw for --bare not to do separate-remotes ?
> We could throw out a lot of speical cases, especially the --bare http
> fetch if we would simply always do a separate-remotes.

Glad to hear it. I didn't really have time to read through all the patches.

> > This would require changes to the logic how git finds GIT_DIR (which would be
> > really deep change),
> 
> Euhm.... I just add a symlink...

Yes. Except I am not sure mingw supports that.

-- 
						 Jan 'Bulb' Hudec <[email-masked]>